%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-flufl_lock
Version:       8.2.0
Release:       1mamba
Summary:       NFS-safe file locking with timeouts for POSIX and Windows
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://flufllock.readthedocs.io/en/stable/
Source:        https://pypi.debian.net/flufl.lock/flufl_lock-%{version}.tar.gz
License:       Apache License 2.0
BuildArch:     noarch
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(atpublic)
BuildRequires: python3.11dist(psutil)
## AUTOBUILDREQ-END
BuildRequires: python-pdm_backend-py3

%description
%{summary}.

%if 0%{?with_pyver}
%define py_requires_append \
Provides:      python%{python_version}dist(flufl.lock) = %{version} \
Provides:      python3dist(flufl.lock) = %{version}
%pyver_package
%endif

%prep
%setup -q -n flufl_lock-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitelib}/flufl/lock
%{python_sitelib}/flufl/lock/*
%doc LICENSE

%changelog
* Sun May 11 2025 Automatic Build System <autodist@openmamba.org> 8.2.0-1mamba
- automatic version update by autodist

* Tue May 28 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 8.1.0-2mamba
- added provides for flufl.lock

* Sun Mar 31 2024 Automatic Build System <autodist@openmamba.org> 8.1.0-1mamba
- automatic version update by autodist

* Thu Jan 04 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 8.0.2-1mamba
- package created using the webbuild interface
